Skip to navigation

Get Company Business Units

View as Markdown
Partner Restricted

All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This endpoint returns package businessUnits for the companyId querying

Use Cases

  • Partner needs to confirm all package businessUnits have been added into Paylocity for a client
  • Partner needs to confirm the status of package businessUnits that have been added for a client

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Query parameters

includeTotalCountbooleanOptional

If true it will add X-Pcty-Total-Count header with total count for this specific query.

offsetintegerOptional
Pagination offset.
limitintegerOptional
Pagination limit. Max value 100.

Response

Successful response